/*
								+---------------------------------+
								|                                 |
								|     ***   Rasterizer   ***      |
								|                                 |
								|  Copyright   -tHE SWINe- 2002  |
								|                                 |
								|            Raster.h             |
								|                                 |
								+---------------------------------+
*/

#ifndef __TEXTURE_INCLUDED
#define __TEXTURE_INCLUDED

struct Texture {
	int n_Width, n_Height;
	unsigned __int32 *texture;
	int A_1, A_2, B_1;
};

#endif

#ifndef __RASTERIZER_INCLUDED
#define __RASTERIZER_INCLUDED

int Init_Engine(int n_New_Width, int n_New_Height);
void Terminate_Engine();

void TraverseTree(Matrix *m_camera, BSP_Tree *tree, 
	unsigned __int32 *video);

Texture *Load_Texture(char *filename);

int Load_BSP_Textures(BSP_Tree *tree, char *dir);

#endif